Qt 5.7 | Qt Charts | C++ Classes | QHorizontalBarSeries

Qt 5.7.1 Reference Documentation

# QHorizontalBarSeries Class

Series for creating horizontal bar chart. More...

Header: | #include <QHorizontalBarSeries>
Instantiated By: | HorizontalBarSeries
Inherits: | QAbstractBarSeries

- List of all members, including inherited members

## Public Functions

| QHorizontalBarSeries(QObject *parent = Q_NULLPTR)
| ~QHorizontalBarSeries()

## Reimplemented Public Functions

virtual QAbstractSeries::SeriesType | type() const

- 18 public functions inherited from QAbstractBarSeries
- 15 public functions inherited from QAbstractSeries

### Additional Inherited Members

- 6 properties inherited from QAbstractBarSeries
- 5 properties inherited from QAbstractSeries
- 12 signals inherited from QAbstractBarSeries
- 4 signals inherited from QAbstractSeries

## Detailed Description

Series for creating horizontal bar chart.

QHorizontalBarSeries represents a series of data shown as bars. The purpose of this class is to draw bars as groups, where bars in same category are grouped next to each other. QHorizontalBarSeries groups the data from sets to categories, which are defined by a QStringList.

See the horizontal bar chart example to learn how to create a horizontal bar chart.

See also QBarSet, QBarSeries, QPercentBarSeries, QAbstractBarSeries, QStackedBarSeries, QHorizontalStackedBarSeries, and QHorizontalPercentBarSeries.

## Member Function Documentation

### QHorizontalBarSeries::QHorizontalBarSeries(QObject *parent = Q_NULLPTR)

Constructs empty QHorizontalBarSeries. QHorizontalBarSeries is QObject which is a child of a parent.

### QHorizontalBarSeries::~QHorizontalBarSeries()

Destructor. Removes series from chart.

### `[virtual]` QAbstractSeries::SeriesType QHorizontalBarSeries::type() const

Reimplemented from QAbstractSeries::type().

Returns QChartSeries::SeriesTypeHorizontalBar.